# $Revision: 1.28 $, $Date: 2004/04/26 16:45:00 $
Summary:	libicq library
Summary(pl):	Biblioteka libicq
Name:		libicq
Version:	0.33
Release:	7
License:	GPL
Group:		Libraries
Source0:	http://dl.sourceforge.net/libicq/%{name}-%{version}.tar.gz
# Source0-md5:	3717d4b08dfdd9af9a57f5d17d04529d
URL:		http://sourceforge.net/projects/libicq/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libicq is based on micq and is intended to make it easy to add ICQ
communication support to your software.

%description -l pl
libicq bazuje na rdach micq i umoliwia atwe dodanie do rnych
plikacji komunikacji bazyujcej na priotokole ICQ.

%package devel
Summary:	Header files etc to develop libicq applications
Summary(pl):	Pliki nagwkowe i inne do libicq
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
Header files etc you can use to develop libicq applications.

%description devel -l pl
Pakiet ten zawiera pliki nagwkowe i inne do libicq niezbdne przy
tworzeniu aplikacji opartych o t bibliotek.

%package static
Summary:	Static libicq libraries
Summary(pl):	Biblioteka statyczna libicq
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Static libicq libraries.

%description static -l pl
Biblioteka statyczna libicq.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/*.h

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libicq.spec,v $
Revision 1.28  2004/04/26 16:45:00  adamg
- release 7 for Ac (6 is for Ra)

Revision 1.27  2003/05/28 12:59:30  malekith
- massive attack: source-md5

Revision 1.26  2003/05/25 05:49:54  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.25  2003/05/08 12:41:58  qboosh
- typo

Revision 1.24  2003/05/08 12:22:25  blues
- typo

Revision 1.23  2003/05/06 11:30:21  qboosh
- use http for sources from sourceforge

Revision 1.22  2002/11/27 21:10:41  juandon
- new %%doc

Revision 1.21  2002/11/25 14:16:54  ankry
- massive attack: no need for 755 for *.la

Revision 1.20  2002/10/09 13:14:38  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.19  2002/06/23 20:32:31  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.18  2002/05/21 23:13:48  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.17  2002/04/16 11:12:24  marcus
- rel.6.

Revision 1.16  2002/02/23 03:26:02  kloczek
- adapterized.

Revision 1.15  2002/02/22 23:29:12  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.14  2002/01/18 02:13:40  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.13  2001/10/01 08:21:13  qboosh
- added URLs, BuildRequires: autoconf,automake,libtool

Revision 1.12  2001/09/29 00:15:06  blues
- release 5
- ac2.5 ready

Revision 1.11  2001/05/29 10:21:09  kloczek
- release 4: spec adapterized.

Revision 1.10  2000/11/12 20:11:55  kloczek
- modyfications for using neew rpm automation.

Revision 1.9  2000/06/09 07:54:43  kloczek
- more %%{__make} macros.

Revision 1.8  2000/06/09 07:23:24  kloczek
- added using %%{__make} macro.

Revision 1.7  2000/06/07 03:01:13  kloczek
- spec adapterized.

Revision 1.6  2000/04/01 11:14:52  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.5  2000/03/28 16:54:40  baggins
- translated kloczkish into english

Revision 1.4  2000/01/11 20:35:15  kloczek
- cosmetics and new %description.

Revision 1.3  2000/01/11 16:08:24  klakier
- added header file

Revision 1.2  2000/01/11 15:52:28  klakier
- moved to /usr/lib

Revision 1.1  2000/01/11 15:21:39  klakier
- initial release (maybe final :) )
